Benutzer
Auf dieser Seite
Operationen an Benutzer‑Ressourcen. 6 Endpunkte, jeweils relativ zu https://api.nxgen.cloud/api/v1 und authentifiziert wie unter Authentifizierung.
POST /user/
Neuen Benutzer anlegen
Request body
Benutzer hinzufügen
{
"payload": {
"id": "string",
"email": "string (required)",
"firstName": "string (required)",
"lastName": "string (required)",
"isActive": "boolean",
"countryCode": "string",
"phoneNumber": "string",
"houseBuildingNumber": "string",
"streetName": "string",
"city": "string",
"state": "string",
"country": "string",
"code": "string",
"logo": "string",
"apps": [
{
"displaystring": "string",
"url": "string",
"type": "string",
"imgUrl": "string",
"class": "string",
"graphUrl": [
"…"
],
"internalName": "string",
"permission": "object",
"mapInformation": "object"
}
],
"business": [
"string"
],
"tags": [
"string"
],
"photos": [
"string"
],
"devImage": "string",
"followers": [
"string"
],
"roles": [
"string"
],
"s3ImagePath": "string",
"partnerLogin": "boolean",
"jsonSchema": "object",
"jsonSchemaResult": "object",
"countryName": "any",
"subdomain": "string",
"accessLevel": "string",
"parentAccountId": "string",
"parent": "string",
"serviceProvidersEventProviderId": "string"
}
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | |
204 | Kein Inhalt | |
400 | Ungültige Eingabe | |
401 | Nicht autorisiert | |
403 | Verboten |
POST /user/filter
Liefert die Benutzerliste mit Filterung, Sortierung und Pagination. Es ermöglicht die Suche nach Hierarchie‑Ebenen. Es kann nach angegebener Hierarchie gefiltert werden oder verwendet die Hierarchie des angemeldeten Benutzers. Dadurch kann die Antwort zusätzliche Entity‑Felder enthalten. Außerdem werden Konfigurations‑Meta‑Daten zur Entity bereitgestellt.
Request body
Benutzer‑Filterung und -Sortierung
{
"filters": [
{
"columnName": "string (required)",
"type": "distinctList | date | number | StringConditionFilter (required)",
"filter": "object (required)"
}
],
"sortOrder": [
{
"columnName": "string",
"isAscending": "boolean"
}
],
"primaryColumns": [
"string"
],
"hierarchyLevel": "string",
"hierarchyId": "string",
"nPerPage": "number",
"pageNumber": "number",
"isConfigDetailRequired": "boolean",
"getConfig": "boolean",
"getChildOrParent": "boolean"
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | object |
204 | Kein Inhalt | |
400 | Ungültige Eingabe | |
401 | Nicht autorisiert | |
403 | Verboten |
Example 200 Antwort:
{
"config": {
"columns": [
{
"visibility": true,
"columnName": "commercialName",
"DisplayName": "User",
"isFilterable": true,
"filterType": "stringCondition",
"sticky": true,
"isRightBorder": true,
"isMandatory": true,
"isNotDraggable": true
}
],
"defaultNPerPage": 50,
"defaultFilterCondition": [],
"defaultSortingOrder": [
{
"columnName": "dateTime",
"isAscending": false
}
],
"maxVisibleColumnCount": 6,
"exportLimitNPerPage": 500
},
"dataResult": [
{
"photo": "",
"email": "admin@dev.de",
"contact": "+41 ",
"isActive": "true",
"firstName": "Test",
"lastName": "User3",
"accessLevel": "serviceprovider",
"uniqueId": "c8c03fca60f5804624540aceabdc003",
"parentAccountId": "e7f417cf4a434b5093a8173cdb40004f",
"roles": "User role test",
"applicationName": "app name",
"sessionTimeOutInMin": 30
},
{
"photo": "",
"email": "admin-1@dev.de",
"contact": "+41 ",
"isActive": "true",
"firstName": "Test",
"lastName": "User4",
"accessLevel": "serviceprovider",
"uniqueId": "40aceabdc4e20770c8c03fca60f58046",
"parentAccountId": "e7f417cf4a434b5093a8173cdb40004f",
"roles": "User role test",
"applicationName": null,
"sessionTimeOutInMin": 30
}
],
"totalRecordsCount": 3552,
"filteredBy": [],
"sortedBy": [
{
"columnName": "dateTime",
"isAscending": false
}
],
"dispatchedAll": false,
"isDefaultProjectionMutated": false,
"isDefaultFilterMutated": false,
"isDefaultSortingMutated": false
}GET /user/me
Login-Benutzer anzeigen
Antworten
Status | Beschreibung | Inhalt |
|---|---|---|
200 | Erfolg | |
204 | Kein Inhalt | |
401 | Nicht autorisiert | |
403 | Verboten | |
404 | Nicht gefunden |
GET /user/{id}
Benutzer nach ID abrufen
Parameter
Name | In | Typ | Erforderlich | Beschreibung |
|---|---|---|---|---|
id | Pfad | String | ja |
Antworten
Status | Beschreibung | Inhalt |
|---|---|---|
200 | Erfolg | |
204 | Kein Inhalt | |
401 | Nicht autorisiert | |
403 | Verboten | |
404 | Nicht gefunden |
PUT /user/{id}
Vorhandenen Benutzer aktualisieren
Parameter
Name | In | Typ | Erforderlich | Beschreibung |
|---|---|---|---|---|
ID | Pfad | Zeichenkette | ja |
Anfragekörper
Um einen Benutzer hinzuzufügen oder zu aktualisieren, geben Sie die vorhandene ID an
{
"payload": {
"id": "string",
"email": "string (required)",
"firstName": "string (required)",
"lastName": "string (required)",
"isActive": "boolean",
"countryCode": "string",
"phoneNumber": "string",
"houseBuildingNumber": "string",
"streetName": "string",
"city": "string",
"state": "string",
"country": "string",
"code": "string",
"logo": "string",
"apps": [
{
"displaystring": "string",
"url": "string",
"type": "string",
"imgUrl": "string",
"class": "string",
"graphUrl": [
"…"
],
"internalName": "string",
"permission": "object",
"mapInformation": "object"
}
],
"business": [
"string"
],
"tags": [
"string"
],
"photos": [
"string"
],
"devImage": "string",
"followers": [
"string"
],
"roles": [
"string"
],
"s3ImagePath": "string",
"partnerLogin": "boolean",
"jsonSchema": "object",
"jsonSchemaResult": "object",
"countryName": "any",
"subdomain": "string",
"parentAccountId": "string",
"serviceProvidersEventProviderId": "string"
}
}Antworten
Status | Beschreibung | Inhalt |
|---|---|---|
200 | Erfolg | |
204 | Kein Inhalt | |
400 | Ungültige Eingabe | |
401 | Nicht autorisiert | |
403 | Verboten |
DELETE /user/{id}
Benutzer anhand der ID löschen
Parameter
Name | In | Typ | Erforderlich | Beschreibung |
|---|---|---|---|---|
id | Pfad | Zeichenkette | ja |
Antworten
Status | Beschreibung | Inhalt |
|---|---|---|
200 | Erfolg | |
204 | Kein Inhalt | |
400 | Ungültige Eingabe | |
401 | Nicht autorisiert | |
403 | Verboten |
Vielen Dank — Ihr Feedback geht an das Team, das diese Seite betreut.